import { useWeAppAuthStore } from '@/common'
import { getApiLoading } from '@/common/libraries/apiLoading'
import { showToastBack } from '@/common/libraries/naviHelper'
import useModel from './model'
import { Apis } from '@/gen/Apis'
import { avatarUpload } from '@/common/libraries/upload'

const auth = useWeAppAuthStore()
export default {
  handleChangeTabs(e: number) {
    useModel.currentTabs.value = e
    console.log(e)
  },
  handleShowDetail() {
    uni.showModal({
      title: '提示',
      showCancel: false,
      content: '内容还在编辑中，请稍微再访问...',
      success: function (res) {
        if (res.confirm) {
          console.log('用户点击确定')
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }
}
